---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libclassload01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x27A0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x1E340, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL12counter_lock, symObjAddr: 0x1E490, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0xF5, offset: 0xF5, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1E498, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x127, offset: 0x127, size: 0x8, addend: 0x0, symName: __ZL18expThreadIsVirtual, symObjAddr: 0x2708, symBinAddr: 0x3D34, symSize: 0x0 }
  - { offsetInCU: 0x163, offset: 0x163, size: 0x8, addend: 0x0, symName: __ZL9clsEvents, symObjAddr: 0x1E49C, symBinAddr: 0x818C, symSize: 0x0 }
  - { offsetInCU: 0x18D, offset: 0x18D, size: 0x8, addend: 0x0, symName: __ZL13primClsEvents, symObjAddr: 0x1E4B0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x1B2, offset: 0x1B2, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1E4F8, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x8DC7, offset: 0x8DC7, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1E500, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x8E58, offset: 0x8E58, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2AC0, symSize: 0x30 }
  - { offsetInCU: 0x90E2, offset: 0x90E2, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x550, symBinAddr: 0x2640, symSize: 0x160 }
  - { offsetInCU: 0x9568, offset: 0x9568, size: 0x8, addend: 0x0, symName: _ClassLoad, symObjAddr: 0xE90, symBinAddr: 0x2AF0, symSize: 0x290 }
  - { offsetInCU: 0x9936, offset: 0x9936, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1120, symBinAddr: 0x2D80, symSize: 0x70 }
  - { offsetInCU: 0x9A0F, offset: 0x9A0F, size: 0x8, addend: 0x0, symName: _Java_classload01_check, symObjAddr: 0x1190, symBinAddr: 0x2DF0, symSize: 0x120 }
  - { offsetInCU: 0x9BB6, offset: 0x9BB6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x12B0, symBinAddr: 0x2F10, symSize: 0x290 }
  - { offsetInCU: 0x9E73, offset: 0x9E73, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1540, symBinAddr: 0x31A0, symSize: 0x10 }
  - { offsetInCU: 0x9EC9, offset: 0x9EC9, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1550, symBinAddr: 0x31B0, symSize: 0x10 }
...
